dependencies need updating for the gtk3 version

Bug #842616 reported by Kiwinote on 2011-09-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
High
Unassigned

Bug Description

Assuming that software-center-gtk3 remains the default ui, we need to update the dependencies to all the gir1.2-* variants etc.

Kiwinote (kiwinote) on 2011-09-06
Changed in software-center (Ubuntu):
importance: Undecided → High
status: New → Triaged
Michael Vogt (mvo) wrote :

I did some work on this in my "lp:~mvo/software-center/retire-gtk2" branch.

Changed in software-center (Ubuntu):
status: Triaged → In Progress
Michael Vogt (mvo) wrote :

This should be done now in trunk.

Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.1.23.2

---------------
software-center (4.1.23.2) oneiric; urgency=low

  [ Michael Vogt ]
  * softwarecenter/backend/reviews.py:
    - update review sorting to follow spec (wilson score)
  * lp:~mvo/software-center/retire-gtk2:
    - remove (no longer used) gtk2 code, this has the added benefit
      that all the checks for pygtk vs pygi are gone as well
    - update gir1.2-* dependencies (LP: #842616)
  * softwarecenter/ui/gtk3/views/appdetailsview_gtk.py:
    - wrap title instead of ellipsize (LP: #850857)
  * softwarecenter/toolkit.py:
    - update to current code
  * softwarecenter/backend/reviews.py:
    - do not crash for unknown deb names
  * softwarecenter/ui/gtk3/app.py:
    - make the locale code more robust (LP: #846038)
  * softwarecenter/db/history_impl/apthistory.py:
    - be more robust against broken history.log files (LP: #666449)
  * softwarecenter/backend/installbackend_impl/aptd.py:
    - be more robust about potential races (LP: #848676)
  * softwarecenter/ui/gtk3/models/pendingstore.py:
    - only add transactions if we get meaningful data

  [ Matthew McGowan ]
  * lp:~mmcg069/software-center/highcontrast-theme-improvements:
    - a host of improvements to the highcontrast themes
  * lp:~mmcg069/software-center/bug848845:
    - use the stock_zoom-page cursor, which in the currernt icon
      theme still presents as a magnifying glass (LP: #848845)
  * lp:~mmcg069/software-center/minor-vis-fixes:
    - even up the borders around a Frame (LP: #850780)

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/panes/installedpane.py:
    - implement a spinner for the installed view
 -- Michael Vogt <email address hidden> Thu, 15 Sep 2011 22:09:59 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers